<!DOCTYPE HTML>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8"/>
  <title>Create Service</title>

  <!-- Vendor CSS Files -->
  <link href="../../static/vendor/bootstrap/css/bootstrap.min.css"
        th:href="@{/vendor/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
  <link href="../../static/vendor/bootstrap-icons/bootstrap-icons.css"
        th:href="@{/vendor/bootstrap-icons/bootstrap-icons.css}" rel="stylesheet">
  <link href="../../static/vendor/boxicons/css/boxicons.min.css" th:href="@{/vendor/boxicons/css/boxicons.min.css}"
        rel="stylesheet">
  <link href="../../static/vendor/quill/quill.snow.css" th:href="@{/vendor/quill/quill.snow.css}" rel="stylesheet">
  <link href="../../static/vendor/quill/quill.bubble.css" th:href="@{/vendor/quill/quill.bubble.css}"
        rel="stylesheet">
  <link href="../../static/vendor/remixicon/remixicon.css" th:href="@{/vendor/remixicon/remixicon.css}"
        rel="stylesheet">
  <link href="../../static/vendor/simple-datatables/style.css" th:href="@{/vendor/simple-datatables/style.css}"
        rel="stylesheet">

  <!-- Template Main CSS File -->
  <link href="../../static/css/style.css" th:href="@{/css/style.css}" rel="stylesheet">

</head>
<body>

<form th:replace="fragments/navbar.html :: navbar"></form>

<form th:replace="fragments/navbar.html :: sidebar"></form>

<main id="main" class="main">

  <div class="pagetitle">
    <h1>Service create</h1>
    <nav>
      <ol class="breadcrumb">
        <li class="breadcrumb-item"><a th:href="@{/}">Home</a></li>
        <li class="breadcrumb-item"><a th:href="@{/services}">Services</a></li>
        <li class="breadcrumb-item"><a th:href="@{/services/create}">Service create</a></li>
      </ol>
    </nav>
  </div><!-- End Page Title -->
  <section class="section">
    <div class="row">
      <div class="col-lg-12">

        <div class="card">
          <div class="card-body">
            <h1></h1>
            <!-- Create Service Form -->
            <form th:action="@{__${#httpServletRequest.requestURI}__}" th:object="${newService}"
                  method="post">

              <div class="row mb-3">
                <label for="Service" class="col-sm-2 col-form-label">Service name</label>
                <div class="col-sm-4">
                  <input type="text" class="form-control" id="Service"
                         th:field="*{name}" placeholder="Oil Change">
                </div>
              </div>
              <label class="error" th:errors="*{name}">Check-in date error placeholder</label>
              <br>
              <div class="row mb-3">
                <label for="Price" class="col-sm-2 col-form-label">Price</label>
                <div class="col-sm-4">
                    <input type="number" min="1.00"
                         max="1000000.00"
                         class="form-control" id="Price"
                         th:field="*{price}" placeholder="1,020.50" step=".01">
                </div>
              </div>
              <div class="row-mb-3">
                <p><span class="text-danger">Use DOT (.)</span> for a decimal separator</p>
              </div>
              <label class="error" th:errors="*{price}">Price error placeholder</label>
              <br>
              <div class="col-sm-10">
                <button type="submit" class="btn btn-primary" value="Save">Create Service</button>
              </div>
            </form><!-- End Create Service Form -->
          </div>
        </div>
      </div>
    </div>
  </section>
  <!-- Services section -->
  <section th:unless="${carServices.isEmpty()}" class="section profile">
    <div class="row">
      <div  th:unless="${carServices.isEmpty()}" class="col-lg-12">

        <div class="card">
          <div class="card-body pt-3">
            <ul class="nav nav-tabs nav-tabs-bordered">

              <li class="nav-item">
                <button class="nav-link active">
                  Services
                </button>
              </li>
            </ul>
            <div class="tab-content pt-2">

              <div class="tab-pane fade show active profile-overview" id="car">

                <h5 class="card-title">Service Name</h5>
                <div class="row" th:each="carService:${carServices}">
                  <a class="col-lg-3 col-md-4 label" th:text="${carService.name}"
                     th:href="@{/services/{carServiceId}(carServiceId=${carService.carServiceId})}">
                    Oil Change
                  </a>
                  <div class="col-lg-9 col-md-8"
                       th:text="${#numbers.formatDecimal(carService.price, 0, 'COMMA', 2, 'POINT') + 'BGN'}">1,400.40 BGN
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section><!-- End Services Section -->
</main>

<a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i
    class="bi bi-arrow-up-short"></i></a>

<!-- Vendor JS Files -->
<script src="../static/vendor/apexcharts/apexcharts.min.js"
        th:src="@{/vendor/apexcharts/apexcharts.min.js}"></script>
<script src="../static/vendor/bootstrap/js/bootstrap.bundle.min.js"
        th:src="@{/vendor/bootstrap/js/bootstrap.bundle.min.js}"></script>
<script src="../static/vendor/chart.js/chart.min.js" th:src="@{/vendor/chart.js/chart.min.js}"></script>
<script src="../static/vendor/echarts/echarts.min.js" th:src="@{/vendor/echarts/echarts.min.js}"></script>
<script src="../static/vendor/quill/quill.min.js" th:src="@{/vendor/quill/quill.min.js}"></script>
<script src="../static/vendor/simple-datatables/simple-datatables.js"
        th:src="@{/vendor/simple-datatables/simple-datatables.js}"></script>
<script src="../static/vendor/tinymce/tinymce.min.js" th:src="@{/vendor/tinymce/tinymce.min.js}"></script>
<script src="../static/vendor/php-email-form/validate.js" th:src="@{/vendor/php-email-form/validate.js}"></script>

<!-- Template Main JS File -->
<script src="../../static/js/main.js" th:src="@{../js/main.js}"></script>

</body>
</html>